﻿"use strict";

var log = require('../util/log');
var wlyyRepo = require("../repository/wlyy.repo");
var imRepo = require("../repository/im.repo");

function isGroupUser(user_id, group_id, group_type, handler) {
	if (group_type == 1) {
		wlyyRepo.execQuery({
			"sql": "SELECT doctor_code from wlyy_admin_team_member WHERE team_id=? and doctor_code=?",
			"args": [group_id, user_id],
			"handler": handler
		});
	} else {
		wlyyRepo.execQuery({
			"sql": "SELECT member_code from wlyy_talk_group_member WHERE group_code=? and member_code=?",
			"args": [group_id, user_id],
			"handler": handler
		});
	}
}

function getGroupUsers(group_id, group_type, handler) {
	if (group_type == 1) {
		wlyyRepo.execQuery({
			"sql": "SELECT doctor_code from wlyy_admin_team_member WHERE team_id=?",
			"args": [group_id],
			"handler": handler
		});
	} else {
		wlyyRepo.execQuery({
			"sql": "SELECT member_code from wlyy_talk_group_member WHERE group_code=?",
			"args": [group_id],
			"handler": handler
		});
	}
}

function saveGroupMsg(user_id, group_id, at_uid, type, content, handler) {
	imRepo.execQuery({
		"sql": "INSERT INTO groups (to_gid,from_uid,at_uid,type,content) VALUES (?,?,?,?,?)",
		"args": [group_id, user_id, at_uid, type, content],
		"handler": handler
	});
}

function getGroupMsg(group_id, start, count, handler) {
	var sql = "SELECT from_uid,at_uid,type,content,timestamp from groups WHERE to_gid = ? GROUP BY timestamp DESC LIMIT ";
	sql += start;
	sql += ",";
	sql += count;
	imRepo.execQuery({
		"sql": sql,
		"args": [group_id],
		"handler": handler
	});
}

exports.isGroupUser = isGroupUser;
exports.getGroupUsers = getGroupUsers;
exports.saveGroupMsg = saveGroupMsg;
exports.getGroupMsg = getGroupMsg;
