﻿"use strict";

var log = require('../util/log');
var wlyyRepo = require("../repository/wlyy.repo");
var imRepo = require("../repository/im.repo");

function isUserExist(to_uid, handler) {
	wlyyRepo.execQuery({
		"sql": "SELECT count(*) from wlyy_doctor WHERE code=?",
		"args": [to_uid],
		"handler": handler
	});
}

function saveP2PMsg(to_uid, from_uid, type, content, handler) {
	imRepo.execQuery({
		"sql": "INSERT INTO privates (to_uid,from_uid,type,content) VALUES (?,?,?,?)",
		"args": [to_uid, from_uid, type, content],
		"handler": handler
	});
}

function getP2PMsg(to_uid, from_uid, start, count, handler) {
	var sql = "SELECT to_uid,from_uid,type,content,timestamp from privates WHERE (to_uid=? AND from_uid=?) OR (to_uid=? AND from_uid=?) GROUP BY timestamp DESC LIMIT ";
	sql += start;
	sql += ",";
	sql += count;
	imRepo.execQuery({
		"sql": sql,
		"args": [to_uid, from_uid, from_uid, to_uid],
		"handler": handler
	});
}

exports.isUserExist = isUserExist;
exports.saveP2PMsg = saveP2PMsg;
exports.getP2PMsg = getP2PMsg;
